Index: trunk/abdev/BasicCompiler_Common/DebugMiddleFile.cpp
===================================================================
--- trunk/abdev/BasicCompiler_Common/DebugMiddleFile.cpp	(revision 232)
+++ trunk/abdev/BasicCompiler_Common/DebugMiddleFile.cpp	(revision 256)
@@ -37,5 +37,5 @@
 		(*p)+=lstrlen(buffer+(*p))+1;
 
-		type.SetClassPtr( compiler.GetMeta().GetClasses().Find(szClassName) );
+		type.SetClassPtr( compiler.objectModule.meta.GetClasses().Find(szClassName) );
 	}
 	else{
@@ -121,13 +121,13 @@
 
 	//イテレータをリセット
-	compiler.GetMeta().GetClasses().Iterator_Reset();
+	compiler.objectModule.meta.GetClasses().Iterator_Reset();
 
 	//個数
-	*(long *)(buffer+i2)=compiler.GetMeta().GetClasses().Iterator_GetMaxCount();
-	i2+=sizeof(long);
-
-	while(compiler.GetMeta().GetClasses().Iterator_HasNext()){
+	*(long *)(buffer+i2)=compiler.objectModule.meta.GetClasses().Iterator_GetMaxCount();
+	i2+=sizeof(long);
+
+	while(compiler.objectModule.meta.GetClasses().Iterator_HasNext()){
 		CClass *pobj_c;
-		pobj_c=compiler.GetMeta().GetClasses().Iterator_GetNext();
+		pobj_c=compiler.objectModule.meta.GetClasses().Iterator_GetNext();
 
 		//クラス名
@@ -141,11 +141,11 @@
 	// TypeDef情報
 	//////////////////
-	*(long *)(buffer+i2)=(int)compiler.GetMeta().GetTypeDefs().size();
-	i2+=sizeof(long);
-	for(i3=0;i3<(int)compiler.GetMeta().GetTypeDefs().size();i3++){
-		lstrcpy(buffer+i2,compiler.GetMeta().GetTypeDefs()[i3].GetName().c_str() );
-		i2+=lstrlen(buffer+i2)+1;
-
-		lstrcpy(buffer+i2,compiler.GetMeta().GetTypeDefs()[i3].GetBaseName().c_str() );
+	*(long *)(buffer+i2)=(int)compiler.objectModule.meta.GetTypeDefs().size();
+	i2+=sizeof(long);
+	for(i3=0;i3<(int)compiler.objectModule.meta.GetTypeDefs().size();i3++){
+		lstrcpy(buffer+i2,compiler.objectModule.meta.GetTypeDefs()[i3].GetName().c_str() );
+		i2+=lstrlen(buffer+i2)+1;
+
+		lstrcpy(buffer+i2,compiler.objectModule.meta.GetTypeDefs()[i3].GetBaseName().c_str() );
 		i2+=lstrlen(buffer+i2)+1;
 
@@ -159,7 +159,7 @@
 
 	//グローバル変数情報
-	*(long *)(buffer+i2)=(int)compiler.GetMeta().GetGlobalVars().size();
-	i2+=sizeof(long);
-	BOOST_FOREACH( Variable *pVar, compiler.GetMeta().GetGlobalVars() ){
+	*(long *)(buffer+i2)=(int)compiler.objectModule.meta.GetGlobalVars().size();
+	i2+=sizeof(long);
+	BOOST_FOREACH( Variable *pVar, compiler.objectModule.meta.GetGlobalVars() ){
 		//変数名
 		lstrcpy(buffer+i2,pVar->GetName().c_str());
@@ -212,10 +212,10 @@
 
 	//プロシージャ情報
-	*(long *)(buffer+i2) = compiler.GetMeta().GetUserProcs().Iterator_GetMaxCount();
-	i2+=sizeof(long);
-	compiler.GetMeta().GetUserProcs().Iterator_Reset();
-	while( compiler.GetMeta().GetUserProcs().Iterator_HasNext() )
+	*(long *)(buffer+i2) = compiler.objectModule.meta.GetUserProcs().Iterator_GetMaxCount();
+	i2+=sizeof(long);
+	compiler.objectModule.meta.GetUserProcs().Iterator_Reset();
+	while( compiler.objectModule.meta.GetUserProcs().Iterator_HasNext() )
 	{
-		UserProc *pUserProc = compiler.GetMeta().GetUserProcs().Iterator_GetNext();
+		UserProc *pUserProc = compiler.objectModule.meta.GetUserProcs().Iterator_GetNext();
 
 		if(pUserProc->GetParentClassPtr()){
@@ -309,9 +309,9 @@
 
 	//イテレータをリセット
-	compiler.GetMeta().GetClasses().Iterator_Reset();
-
-	while(compiler.GetMeta().GetClasses().Iterator_HasNext()){
+	compiler.objectModule.meta.GetClasses().Iterator_Reset();
+
+	while(compiler.objectModule.meta.GetClasses().Iterator_HasNext()){
 		CClass *pobj_c;
-		pobj_c=compiler.GetMeta().GetClasses().Iterator_GetNext();
+		pobj_c=compiler.objectModule.meta.GetClasses().Iterator_GetNext();
 
 
@@ -510,5 +510,5 @@
 	}
 
-	compiler.GetMeta().SetClasses( this->pobj_DBClass );
+	compiler.objectModule.meta.SetClasses( this->pobj_DBClass );
 
 
@@ -518,5 +518,5 @@
 
 	//初期化
-	compiler.GetMeta().GetTypeDefs().clear();
+	compiler.objectModule.meta.GetTypeDefs().clear();
 
 	//個数を取得
@@ -528,5 +528,5 @@
 
 		// 名前空間に未対応
-		compiler.GetMeta().GetTypeDefs().push_back( TypeDef( NamespaceScopes(), temp5, buffer+i2, -1 ) );
+		compiler.objectModule.meta.GetTypeDefs().push_back( TypeDef( NamespaceScopes(), temp5, buffer+i2, -1 ) );
 
 		i2+=lstrlen(buffer+i2)+1;
@@ -535,9 +535,9 @@
 	//定数を取得
 	GetConstInfo();
-	this->globalConsts = compiler.GetMeta().GetGlobalConsts();
-	this->globalConstMacros = compiler.GetMeta().GetGlobalConstMacros();
+	this->globalConsts = compiler.objectModule.meta.GetGlobalConsts();
+	this->globalConstMacros = compiler.objectModule.meta.GetGlobalConstMacros();
 
 	//グローバル変数情報
-	compiler.GetMeta().GetGlobalVars().clear();
+	compiler.objectModule.meta.GetGlobalVars().clear();
 	int maxGlobalVars=*(long *)(buffer+i2);
 	i2+=sizeof(long);
@@ -586,5 +586,5 @@
 
 		//変数を追加
-		compiler.GetMeta().GetGlobalVars().push_back( pVar );
+		compiler.objectModule.meta.GetGlobalVars().push_back( pVar );
 	}
 
@@ -604,5 +604,5 @@
 		const CClass *pClass = NULL;
 		if(szParentClassName[0]){
-			pClass=compiler.GetMeta().GetClasses().Find(szParentClassName);
+			pClass=compiler.objectModule.meta.GetClasses().Find(szParentClassName);
 		}
 
@@ -698,5 +698,5 @@
 		i2+=lstrlen(buffer+i2)+1;
 
-		pobj_c =  const_cast<CClass *>( compiler.GetMeta().GetClasses().Find(szClassName) );
+		pobj_c =  const_cast<CClass *>( compiler.objectModule.meta.GetClasses().Find(szClassName) );
 
 		//仮想関数の数
@@ -755,5 +755,5 @@
 			const CClass *pobj_InheritsClass = NULL;
 			if(szInherits[0]){
-				pobj_InheritsClass=compiler.GetMeta().GetClasses().Find(szInherits);
+				pobj_InheritsClass=compiler.objectModule.meta.GetClasses().Find(szInherits);
 			}
 
@@ -765,5 +765,5 @@
 			if(pobj_temp_c==0) pobj_temp_c=pobj_c;
 
-			UserProc *pUserProc = compiler.GetMeta().GetUserProcs().GetHashArrayElement( temp2 );
+			UserProc *pUserProc = compiler.objectModule.meta.GetUserProcs().GetHashArrayElement( temp2 );
 			while(pUserProc){
 				if( pUserProc->GetName() == temp2 &&pUserProc->GetParentClassPtr()==pobj_temp_c)
@@ -821,5 +821,5 @@
 
 
-	compiler.GetMeta().GetUserProcs() = userProcs;
+	compiler.objectModule.meta.GetUserProcs() = userProcs;
 	pSub_DebugSys_EndProc=GetSubHash("_DebugSys_EndProc");
 
@@ -962,9 +962,9 @@
 
 	// クラス情報
-	compiler.GetMeta().SetClasses( this->pobj_DBClass );
+	compiler.objectModule.meta.SetClasses( this->pobj_DBClass );
 
 	//定数を取得
-	compiler.GetMeta().GetGlobalConsts() = this->globalConsts;
-	compiler.GetMeta().GetGlobalConstMacros() = this->globalConstMacros;
+	compiler.objectModule.meta.GetGlobalConsts() = this->globalConsts;
+	compiler.objectModule.meta.GetGlobalConstMacros() = this->globalConstMacros;
 
 	//グローバル実行領域のサイズ
@@ -973,5 +973,5 @@
 
 	//プロシージャ
-	compiler.GetMeta().GetUserProcs() = userProcs;
+	compiler.objectModule.meta.GetUserProcs() = userProcs;
 
 	extern const UserProc *pSub_DebugSys_EndProc;
